OSDN Git Service

Add NIOS2 support. Code from SourceyG++.
[pf3gnuchains/gcc-fork.git] / libmudflap / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 subdir = .
40 DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
41         $(top_srcdir)/configure $(am__configure_deps) \
42         $(srcdir)/config.h.in $(srcdir)/../mkinstalldirs \
43         $(srcdir)/../depcomp $(nobase_libsubinclude_HEADERS)
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
46         $(top_srcdir)/../config/depstand.m4 \
47         $(top_srcdir)/../config/enable.m4 \
48         $(top_srcdir)/../config/lead-dot.m4 \
49         $(top_srcdir)/../config/multi.m4 \
50         $(top_srcdir)/../config/override.m4 \
51         $(top_srcdir)/../config/tls.m4 $(top_srcdir)/../ltoptions.m4 \
52         $(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
53         $(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
54         $(top_srcdir)/../libtool.m4 $(top_srcdir)/configure.ac
55 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
56         $(ACLOCAL_M4)
57 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
58  configure.lineno config.status.lineno
59 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
60 CONFIG_HEADER = config.h
61 CONFIG_CLEAN_FILES =
62 CONFIG_CLEAN_VPATH_FILES =
63 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
64 am__vpath_adj = case $$p in \
65     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
66     *) f=$$p;; \
67   esac;
68 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
69 am__install_max = 40
70 am__nobase_strip_setup = \
71   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
72 am__nobase_strip = \
73   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
74 am__nobase_list = $(am__nobase_strip_setup); \
75   for p in $$list; do echo "$$p $$p"; done | \
76   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
77   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
78     if (++n[$$2] == $(am__install_max)) \
79       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
80     END { for (dir in files) print dir, files[dir] }'
81 am__base_list = \
82   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
83   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
84 am__installdirs = "$(DESTDIR)$(toolexeclibdir)" \
85         "$(DESTDIR)$(libsubincludedir)"
86 LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
87 am_libmudflap_la_OBJECTS = mf-runtime.lo mf-heuristics.lo mf-hooks1.lo \
88         mf-hooks2.lo
89 libmudflap_la_OBJECTS = $(am_libmudflap_la_OBJECTS)
90 libmudflap_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
91         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
92         $(libmudflap_la_LDFLAGS) $(LDFLAGS) -o $@
93 am_libmudflapth_la_OBJECTS = libmudflapth_la-mf-runtime.lo \
94         libmudflapth_la-mf-heuristics.lo libmudflapth_la-mf-hooks1.lo \
95         libmudflapth_la-mf-hooks2.lo libmudflapth_la-mf-hooks3.lo
96 libmudflapth_la_OBJECTS = $(am_libmudflapth_la_OBJECTS)
97 libmudflapth_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
98         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libmudflapth_la_CFLAGS) \
99         $(CFLAGS) $(libmudflapth_la_LDFLAGS) $(LDFLAGS) -o $@
100 @LIBMUDFLAPTH_TRUE@am_libmudflapth_la_rpath = -rpath $(toolexeclibdir)
101 DEFAULT_INCLUDES = -I.@am__isrc@
102 depcomp = $(SHELL) $(top_srcdir)/../depcomp
103 am__depfiles_maybe = depfiles
104 am__mv = mv -f
105 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
106         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
107 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
108         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
109         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
110 CCLD = $(CC)
111 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
112         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
113         $(LDFLAGS) -o $@
114 SOURCES = $(libmudflap_la_SOURCES) $(libmudflapth_la_SOURCES)
115 MULTISRCTOP = 
116 MULTIBUILDTOP = 
117 MULTIDIRS = 
118 MULTISUBDIR = 
119 MULTIDO = true
120 MULTICLEAN = true
121 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
122         html-recursive info-recursive install-data-recursive \
123         install-dvi-recursive install-exec-recursive \
124         install-html-recursive install-info-recursive \
125         install-pdf-recursive install-ps-recursive install-recursive \
126         installcheck-recursive installdirs-recursive pdf-recursive \
127         ps-recursive uninstall-recursive
128 HEADERS = $(nobase_libsubinclude_HEADERS)
129 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130   distclean-recursive maintainer-clean-recursive
131 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
132         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
133 ETAGS = etags
134 CTAGS = ctags
135 DIST_SUBDIRS = $(SUBDIRS)
136 ACLOCAL = @ACLOCAL@
137 AMTAR = @AMTAR@
138 AR = @AR@
139 AUTOCONF = @AUTOCONF@
140 AUTOHEADER = @AUTOHEADER@
141 AUTOMAKE = @AUTOMAKE@
142 AWK = @AWK@
143 CC = @CC@
144 CCDEPMODE = @CCDEPMODE@
145 CFLAGS = @CFLAGS@
146 CPP = @CPP@
147 CPPFLAGS = @CPPFLAGS@
148 CYGPATH_W = @CYGPATH_W@
149 DEFS = @DEFS@
150 DEPDIR = @DEPDIR@
151 DSYMUTIL = @DSYMUTIL@
152 DUMPBIN = @DUMPBIN@
153 ECHO_C = @ECHO_C@
154 ECHO_N = @ECHO_N@
155 ECHO_T = @ECHO_T@
156 EGREP = @EGREP@
157 EXEEXT = @EXEEXT@
158 FGREP = @FGREP@
159 GREP = @GREP@
160 INSTALL = @INSTALL@
161 INSTALL_DATA = @INSTALL_DATA@
162 INSTALL_PROGRAM = @INSTALL_PROGRAM@
163 INSTALL_SCRIPT = @INSTALL_SCRIPT@
164 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
165 LD = @LD@
166 LDFLAGS = @LDFLAGS@
167 LIBOBJS = @LIBOBJS@
168 LIBS = @LIBS@
169 LIBTOOL = @LIBTOOL@
170 LIPO = @LIPO@
171 LN_S = @LN_S@
172 LTLIBOBJS = @LTLIBOBJS@
173 MAINT = @MAINT@
174 MAKEINFO = @MAKEINFO@
175 MF_HAVE_STDINT_H = @MF_HAVE_STDINT_H@
176 MF_HAVE_UINTPTR_T = @MF_HAVE_UINTPTR_T@
177 MKDIR_P = @MKDIR_P@
178 NM = @NM@
179 NMEDIT = @NMEDIT@
180 OBJDUMP = @OBJDUMP@
181 OBJEXT = @OBJEXT@
182 OTOOL = @OTOOL@
183 OTOOL64 = @OTOOL64@
184 PACKAGE = @PACKAGE@
185 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
186 PACKAGE_NAME = @PACKAGE_NAME@
187 PACKAGE_STRING = @PACKAGE_STRING@
188 PACKAGE_TARNAME = @PACKAGE_TARNAME@
189 PACKAGE_URL = @PACKAGE_URL@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
192 RANLIB = @RANLIB@
193 SECTION_FLAGS = @SECTION_FLAGS@
194 SED = @SED@
195 SET_MAKE = @SET_MAKE@
196 SHELL = @SHELL@
197 STRIP = @STRIP@
198 VERSION = @VERSION@
199 abs_builddir = @abs_builddir@
200 abs_srcdir = @abs_srcdir@
201 abs_top_builddir = @abs_top_builddir@
202 abs_top_srcdir = @abs_top_srcdir@
203 ac_ct_CC = @ac_ct_CC@
204 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
205 am__include = @am__include@
206 am__leading_dot = @am__leading_dot@
207 am__quote = @am__quote@
208 am__tar = @am__tar@
209 am__untar = @am__untar@
210 bindir = @bindir@
211 build = @build@
212 build_alias = @build_alias@
213 build_cpu = @build_cpu@
214 build_libmudflapth = @build_libmudflapth@
215 build_os = @build_os@
216 build_vendor = @build_vendor@
217 builddir = @builddir@
218 datadir = @datadir@
219 datarootdir = @datarootdir@
220 docdir = @docdir@
221 dvidir = @dvidir@
222 enable_shared = @enable_shared@
223 enable_static = @enable_static@
224 exec_prefix = @exec_prefix@
225 host = @host@
226 host_alias = @host_alias@
227 host_cpu = @host_cpu@
228 host_os = @host_os@
229 host_vendor = @host_vendor@
230 htmldir = @htmldir@
231 includedir = @includedir@
232 infodir = @infodir@
233 install_sh = @install_sh@
234 libdir = @libdir@
235 libexecdir = @libexecdir@
236 localedir = @localedir@
237 localstatedir = @localstatedir@
238 mandir = @mandir@
239 mkdir_p = @mkdir_p@
240 multi_basedir = @multi_basedir@
241 oldincludedir = @oldincludedir@
242 pdfdir = @pdfdir@
243 prefix = @prefix@
244 program_transform_name = @program_transform_name@
245 psdir = @psdir@
246 sbindir = @sbindir@
247 sharedstatedir = @sharedstatedir@
248 srcdir = @srcdir@
249 sysconfdir = @sysconfdir@
250 target = @target@
251 target_alias = @target_alias@
252 target_cpu = @target_cpu@
253 target_noncanonical = @target_noncanonical@
254 target_os = @target_os@
255 target_vendor = @target_vendor@
256 toolexecdir = @toolexecdir@
257 toolexeclibdir = @toolexeclibdir@
258 top_build_prefix = @top_build_prefix@
259 top_builddir = @top_builddir@
260 top_srcdir = @top_srcdir@
261 AUTOMAKE_OPTIONS = 1.8 foreign
262 ACLOCAL_AMFLAGS = -I .. -I ../config
263 MAINT_CHARSET = latin1
264 SUBDIRS = testsuite
265
266 # May be used by various substitution variables.
267 gcc_version := $(shell cat $(top_srcdir)/../gcc/BASE-VER)
268 AM_CFLAGS = -Wall $(SECTION_FLAGS)
269 @LIBMUDFLAPTH_FALSE@libmudflapth = 
270 @LIBMUDFLAPTH_TRUE@libmudflapth = libmudflapth.la
271 toolexeclib_LTLIBRARIES = libmudflap.la $(libmudflapth)
272 libsubincludedir = $(libdir)/gcc/$(target_noncanonical)/$(gcc_version)/include
273 nobase_libsubinclude_HEADERS = mf-runtime.h
274 libmudflap_la_SOURCES = \
275         mf-runtime.c \
276         mf-heuristics.c \
277         mf-hooks1.c \
278         mf-hooks2.c
279
280 libmudflap_la_LIBADD = 
281 libmudflap_la_DEPENDENCIES = $(libmudflap_la_LIBADD)
282 libmudflap_la_LDFLAGS = -version-info `grep -v '^\#' $(srcdir)/libtool-version`
283 libmudflapth_la_SOURCES = \
284         mf-runtime.c \
285         mf-heuristics.c \
286         mf-hooks1.c \
287         mf-hooks2.c \
288         mf-hooks3.c
289
290 libmudflapth_la_CFLAGS = -DLIBMUDFLAPTH
291 libmudflapth_la_LIBADD = 
292 libmudflapth_la_DEPENDENCIES = $(libmudflapth_la_LIBADD)
293 libmudflapth_la_LDFLAGS = -version-info `grep -v '^\#' $(srcdir)/libtool-version`
294
295 # XXX hack alert
296 # From libffi/Makefile.am
297
298 # Work around what appears to be a GNU make bug handling MAKEFLAGS
299 # values defined in terms of make variables, as is the case for CC and
300 # friends when we are called from the top level Makefile.
301 AM_MAKEFLAGS = \
302         "AR_FLAGS=$(AR_FLAGS)" \
303         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
304         "CFLAGS=$(CFLAGS)" \
305         "CXXFLAGS=$(CXXFLAGS)" \
306         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
307         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
308         "INSTALL=$(INSTALL)" \
309         "INSTALL_DATA=$(INSTALL_DATA)" \
310         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
311         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
312         "JC1FLAGS=$(JC1FLAGS)" \
313         "LDFLAGS=$(LDFLAGS)" \
314         "LIBCFLAGS=$(LIBCFLAGS)" \
315         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
316         "MAKE=$(MAKE)" \
317         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
318         "PICFLAG=$(PICFLAG)" \
319         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
320         "SHELL=$(SHELL)" \
321         "RUNTESTFLAGS=$(RUNTESTFLAGS)" \
322         "exec_prefix=$(exec_prefix)" \
323         "infodir=$(infodir)" \
324         "libdir=$(libdir)" \
325         "prefix=$(prefix)" \
326         "includedir=$(includedir)" \
327         "AR=$(AR)" \
328         "AS=$(AS)" \
329         "CC=$(CC)" \
330         "CXX=$(CXX)" \
331         "LD=$(LD)" \
332         "LIBCFLAGS=$(LIBCFLAGS)" \
333         "NM=$(NM)" \
334         "PICFLAG=$(PICFLAG)" \
335         "RANLIB=$(RANLIB)" \
336         "DESTDIR=$(DESTDIR)"
337
338 MAKEOVERRIDES = 
339 all: config.h
340         $(MAKE) $(AM_MAKEFLAGS) all-recursive
341
342 .SUFFIXES:
343 .SUFFIXES: .c .lo .o .obj
344 am--refresh:
345         @:
346 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
347         @for dep in $?; do \
348           case '$(am__configure_deps)' in \
349             *$$dep*) \
350               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
351               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
352                 && exit 0; \
353               exit 1;; \
354           esac; \
355         done; \
356         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
357         $(am__cd) $(top_srcdir) && \
358           $(AUTOMAKE) --foreign Makefile
359 .PRECIOUS: Makefile
360 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
361         @case '$?' in \
362           *config.status*) \
363             echo ' $(SHELL) ./config.status'; \
364             $(SHELL) ./config.status;; \
365           *) \
366             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
367             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
368         esac;
369
370 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
371         $(SHELL) ./config.status --recheck
372
373 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
374         $(am__cd) $(srcdir) && $(AUTOCONF)
375 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
376         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
377 $(am__aclocal_m4_deps):
378
379 config.h: stamp-h1
380         @if test ! -f $@; then \
381           rm -f stamp-h1; \
382           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
383         else :; fi
384
385 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
386         @rm -f stamp-h1
387         cd $(top_builddir) && $(SHELL) ./config.status config.h
388 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
389         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
390         rm -f stamp-h1
391         touch $@
392
393 distclean-hdr:
394         -rm -f config.h stamp-h1
395 install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
396         @$(NORMAL_INSTALL)
397         test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
398         @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
399         list2=; for p in $$list; do \
400           if test -f $$p; then \
401             list2="$$list2 $$p"; \
402           else :; fi; \
403         done; \
404         test -z "$$list2" || { \
405           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
406           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
407         }
408
409 uninstall-toolexeclibLTLIBRARIES:
410         @$(NORMAL_UNINSTALL)
411         @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
412         for p in $$list; do \
413           $(am__strip_dir) \
414           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
415           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
416         done
417
418 clean-toolexeclibLTLIBRARIES:
419         -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
420         @list='$(toolexeclib_LTLIBRARIES)'; for p in $$list; do \
421           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
422           test "$$dir" != "$$p" || dir=.; \
423           echo "rm -f \"$${dir}/so_locations\""; \
424           rm -f "$${dir}/so_locations"; \
425         done
426 libmudflap.la: $(libmudflap_la_OBJECTS) $(libmudflap_la_DEPENDENCIES) 
427         $(libmudflap_la_LINK) -rpath $(toolexeclibdir) $(libmudflap_la_OBJECTS) $(libmudflap_la_LIBADD) $(LIBS)
428 libmudflapth.la: $(libmudflapth_la_OBJECTS) $(libmudflapth_la_DEPENDENCIES) 
429         $(libmudflapth_la_LINK) $(am_libmudflapth_la_rpath) $(libmudflapth_la_OBJECTS) $(libmudflapth_la_LIBADD) $(LIBS)
430
431 mostlyclean-compile:
432         -rm -f *.$(OBJEXT)
433
434 distclean-compile:
435         -rm -f *.tab.c
436
437 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmudflapth_la-mf-heuristics.Plo@am__quote@
438 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmudflapth_la-mf-hooks1.Plo@am__quote@
439 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmudflapth_la-mf-hooks2.Plo@am__quote@
440 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmudflapth_la-mf-hooks3.Plo@am__quote@
441 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmudflapth_la-mf-runtime.Plo@am__quote@
442 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mf-heuristics.Plo@am__quote@
443 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mf-hooks1.Plo@am__quote@
444 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mf-hooks2.Plo@am__quote@
445 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mf-runtime.Plo@am__quote@
446
447 .c.o:
448 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
449 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
453
454 .c.obj:
455 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
456 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
460
461 .c.lo:
462 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
463 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
466 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
467
468 libmudflapth_la-mf-runtime.lo: mf-runtime.c
469 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -MT libmudflapth_la-mf-runtime.lo -MD -MP -MF $(DEPDIR)/libmudflapth_la-mf-runtime.Tpo -c -o libmudflapth_la-mf-runtime.lo `test -f 'mf-runtime.c' || echo '$(srcdir)/'`mf-runtime.c
470 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libmudflapth_la-mf-runtime.Tpo $(DEPDIR)/libmudflapth_la-mf-runtime.Plo
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='mf-runtime.c' object='libmudflapth_la-mf-runtime.lo' libtool=yes @AMDEPBACKSLASH@
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
473 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -c -o libmudflapth_la-mf-runtime.lo `test -f 'mf-runtime.c' || echo '$(srcdir)/'`mf-runtime.c
474
475 libmudflapth_la-mf-heuristics.lo: mf-heuristics.c
476 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -MT libmudflapth_la-mf-heuristics.lo -MD -MP -MF $(DEPDIR)/libmudflapth_la-mf-heuristics.Tpo -c -o libmudflapth_la-mf-heuristics.lo `test -f 'mf-heuristics.c' || echo '$(srcdir)/'`mf-heuristics.c
477 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libmudflapth_la-mf-heuristics.Tpo $(DEPDIR)/libmudflapth_la-mf-heuristics.Plo
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='mf-heuristics.c' object='libmudflapth_la-mf-heuristics.lo' libtool=yes @AMDEPBACKSLASH@
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
480 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -c -o libmudflapth_la-mf-heuristics.lo `test -f 'mf-heuristics.c' || echo '$(srcdir)/'`mf-heuristics.c
481
482 libmudflapth_la-mf-hooks1.lo: mf-hooks1.c
483 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -MT libmudflapth_la-mf-hooks1.lo -MD -MP -MF $(DEPDIR)/libmudflapth_la-mf-hooks1.Tpo -c -o libmudflapth_la-mf-hooks1.lo `test -f 'mf-hooks1.c' || echo '$(srcdir)/'`mf-hooks1.c
484 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libmudflapth_la-mf-hooks1.Tpo $(DEPDIR)/libmudflapth_la-mf-hooks1.Plo
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='mf-hooks1.c' object='libmudflapth_la-mf-hooks1.lo' libtool=yes @AMDEPBACKSLASH@
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
487 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -c -o libmudflapth_la-mf-hooks1.lo `test -f 'mf-hooks1.c' || echo '$(srcdir)/'`mf-hooks1.c
488
489 libmudflapth_la-mf-hooks2.lo: mf-hooks2.c
490 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -MT libmudflapth_la-mf-hooks2.lo -MD -MP -MF $(DEPDIR)/libmudflapth_la-mf-hooks2.Tpo -c -o libmudflapth_la-mf-hooks2.lo `test -f 'mf-hooks2.c' || echo '$(srcdir)/'`mf-hooks2.c
491 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libmudflapth_la-mf-hooks2.Tpo $(DEPDIR)/libmudflapth_la-mf-hooks2.Plo
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='mf-hooks2.c' object='libmudflapth_la-mf-hooks2.lo' libtool=yes @AMDEPBACKSLASH@
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
494 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -c -o libmudflapth_la-mf-hooks2.lo `test -f 'mf-hooks2.c' || echo '$(srcdir)/'`mf-hooks2.c
495
496 libmudflapth_la-mf-hooks3.lo: mf-hooks3.c
497 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -MT libmudflapth_la-mf-hooks3.lo -MD -MP -MF $(DEPDIR)/libmudflapth_la-mf-hooks3.Tpo -c -o libmudflapth_la-mf-hooks3.lo `test -f 'mf-hooks3.c' || echo '$(srcdir)/'`mf-hooks3.c
498 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libmudflapth_la-mf-hooks3.Tpo $(DEPDIR)/libmudflapth_la-mf-hooks3.Plo
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='mf-hooks3.c' object='libmudflapth_la-mf-hooks3.lo' libtool=yes @AMDEPBACKSLASH@
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
501 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmudflapth_la_CFLAGS) $(CFLAGS) -c -o libmudflapth_la-mf-hooks3.lo `test -f 'mf-hooks3.c' || echo '$(srcdir)/'`mf-hooks3.c
502
503 mostlyclean-libtool:
504         -rm -f *.lo
505
506 clean-libtool:
507         -rm -rf .libs _libs
508
509 distclean-libtool:
510         -rm -f libtool config.lt
511
512 # GNU Make needs to see an explicit $(MAKE) variable in the command it
513 # runs to enable its job server during parallel builds.  Hence the
514 # comments below.
515 all-multi:
516         $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
517 install-multi:
518         $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
519
520 mostlyclean-multi:
521         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
522 clean-multi:
523         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
524 distclean-multi:
525         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
526 maintainer-clean-multi:
527         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
528 install-nobase_libsubincludeHEADERS: $(nobase_libsubinclude_HEADERS)
529         @$(NORMAL_INSTALL)
530         test -z "$(libsubincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libsubincludedir)"
531         @list='$(nobase_libsubinclude_HEADERS)'; test -n "$(libsubincludedir)" || list=; \
532         $(am__nobase_list) | while read dir files; do \
533           xfiles=; for file in $$files; do \
534             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
535             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
536           test -z "$$xfiles" || { \
537             test "x$$dir" = x. || { \
538               echo "$(MKDIR_P) '$(DESTDIR)$(libsubincludedir)/$$dir'"; \
539               $(MKDIR_P) "$(DESTDIR)$(libsubincludedir)/$$dir"; }; \
540             echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(libsubincludedir)/$$dir'"; \
541             $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(libsubincludedir)/$$dir" || exit $$?; }; \
542         done
543
544 uninstall-nobase_libsubincludeHEADERS:
545         @$(NORMAL_UNINSTALL)
546         @list='$(nobase_libsubinclude_HEADERS)'; test -n "$(libsubincludedir)" || list=; \
547         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
548         test -n "$$files" || exit 0; \
549         echo " ( cd '$(DESTDIR)$(libsubincludedir)' && rm -f" $$files ")"; \
550         cd "$(DESTDIR)$(libsubincludedir)" && rm -f $$files
551
552 # This directory's subdirectories are mostly independent; you can cd
553 # into them and run `make' without going through this Makefile.
554 # To change the values of `make' variables: instead of editing Makefiles,
555 # (1) if the variable is set in `config.status', edit `config.status'
556 #     (which will cause the Makefiles to be regenerated when you run `make');
557 # (2) otherwise, pass the desired values on the `make' command line.
558 $(RECURSIVE_TARGETS):
559         @fail= failcom='exit 1'; \
560         for f in x $$MAKEFLAGS; do \
561           case $$f in \
562             *=* | --[!k]*);; \
563             *k*) failcom='fail=yes';; \
564           esac; \
565         done; \
566         dot_seen=no; \
567         target=`echo $@ | sed s/-recursive//`; \
568         list='$(SUBDIRS)'; for subdir in $$list; do \
569           echo "Making $$target in $$subdir"; \
570           if test "$$subdir" = "."; then \
571             dot_seen=yes; \
572             local_target="$$target-am"; \
573           else \
574             local_target="$$target"; \
575           fi; \
576           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
577           || eval $$failcom; \
578         done; \
579         if test "$$dot_seen" = "no"; then \
580           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
581         fi; test -z "$$fail"
582
583 $(RECURSIVE_CLEAN_TARGETS):
584         @fail= failcom='exit 1'; \
585         for f in x $$MAKEFLAGS; do \
586           case $$f in \
587             *=* | --[!k]*);; \
588             *k*) failcom='fail=yes';; \
589           esac; \
590         done; \
591         dot_seen=no; \
592         case "$@" in \
593           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
594           *) list='$(SUBDIRS)' ;; \
595         esac; \
596         rev=''; for subdir in $$list; do \
597           if test "$$subdir" = "."; then :; else \
598             rev="$$subdir $$rev"; \
599           fi; \
600         done; \
601         rev="$$rev ."; \
602         target=`echo $@ | sed s/-recursive//`; \
603         for subdir in $$rev; do \
604           echo "Making $$target in $$subdir"; \
605           if test "$$subdir" = "."; then \
606             local_target="$$target-am"; \
607           else \
608             local_target="$$target"; \
609           fi; \
610           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
611           || eval $$failcom; \
612         done && test -z "$$fail"
613 tags-recursive:
614         list='$(SUBDIRS)'; for subdir in $$list; do \
615           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
616         done
617 ctags-recursive:
618         list='$(SUBDIRS)'; for subdir in $$list; do \
619           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
620         done
621
622 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
623         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
624         unique=`for i in $$list; do \
625             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
626           done | \
627           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
628               END { if (nonempty) { for (i in files) print i; }; }'`; \
629         mkid -fID $$unique
630 tags: TAGS
631
632 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
633                 $(TAGS_FILES) $(LISP)
634         set x; \
635         here=`pwd`; \
636         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
637           include_option=--etags-include; \
638           empty_fix=.; \
639         else \
640           include_option=--include; \
641           empty_fix=; \
642         fi; \
643         list='$(SUBDIRS)'; for subdir in $$list; do \
644           if test "$$subdir" = .; then :; else \
645             test ! -f $$subdir/TAGS || \
646               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
647           fi; \
648         done; \
649         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
650         unique=`for i in $$list; do \
651             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
652           done | \
653           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
654               END { if (nonempty) { for (i in files) print i; }; }'`; \
655         shift; \
656         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
657           test -n "$$unique" || unique=$$empty_fix; \
658           if test $$# -gt 0; then \
659             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
660               "$$@" $$unique; \
661           else \
662             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
663               $$unique; \
664           fi; \
665         fi
666 ctags: CTAGS
667 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
668                 $(TAGS_FILES) $(LISP)
669         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
670         unique=`for i in $$list; do \
671             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
672           done | \
673           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
674               END { if (nonempty) { for (i in files) print i; }; }'`; \
675         test -z "$(CTAGS_ARGS)$$unique" \
676           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
677              $$unique
678
679 GTAGS:
680         here=`$(am__cd) $(top_builddir) && pwd` \
681           && $(am__cd) $(top_srcdir) \
682           && gtags -i $(GTAGS_ARGS) "$$here"
683
684 distclean-tags:
685         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
686
687 distdir: $(DISTFILES)
688         $(am__remove_distdir)
689         test -d "$(distdir)" || mkdir "$(distdir)"
690         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
691         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
692         list='$(DISTFILES)'; \
693           dist_files=`for file in $$list; do echo $$file; done | \
694           sed -e "s|^$$srcdirstrip/||;t" \
695               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
696         case $$dist_files in \
697           */*) $(MKDIR_P) `echo "$$dist_files" | \
698                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
699                            sort -u` ;; \
700         esac; \
701         for file in $$dist_files; do \
702           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
703           if test -d $$d/$$file; then \
704             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
705             if test -d "$(distdir)/$$file"; then \
706               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
707             fi; \
708             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
709               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
710               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
711             fi; \
712             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
713           else \
714             test -f "$(distdir)/$$file" \
715             || cp -p $$d/$$file "$(distdir)/$$file" \
716             || exit 1; \
717           fi; \
718         done
719         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
720           if test "$$subdir" = .; then :; else \
721             test -d "$(distdir)/$$subdir" \
722             || $(MKDIR_P) "$(distdir)/$$subdir" \
723             || exit 1; \
724           fi; \
725         done
726         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
727           if test "$$subdir" = .; then :; else \
728             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
729             $(am__relativize); \
730             new_distdir=$$reldir; \
731             dir1=$$subdir; dir2="$(top_distdir)"; \
732             $(am__relativize); \
733             new_top_distdir=$$reldir; \
734             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
735             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
736             ($(am__cd) $$subdir && \
737               $(MAKE) $(AM_MAKEFLAGS) \
738                 top_distdir="$$new_top_distdir" \
739                 distdir="$$new_distdir" \
740                 am__remove_distdir=: \
741                 am__skip_length_check=: \
742                 am__skip_mode_fix=: \
743                 distdir) \
744               || exit 1; \
745           fi; \
746         done
747         -test -n "$(am__skip_mode_fix)" \
748         || find "$(distdir)" -type d ! -perm -755 \
749                 -exec chmod u+rwx,go+rx {} \; -o \
750           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
751           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
752           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
753         || chmod -R a+r "$(distdir)"
754 dist-gzip: distdir
755         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
756         $(am__remove_distdir)
757
758 dist-bzip2: distdir
759         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
760         $(am__remove_distdir)
761
762 dist-lzma: distdir
763         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
764         $(am__remove_distdir)
765
766 dist-xz: distdir
767         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
768         $(am__remove_distdir)
769
770 dist-tarZ: distdir
771         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
772         $(am__remove_distdir)
773
774 dist-shar: distdir
775         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
776         $(am__remove_distdir)
777
778 dist-zip: distdir
779         -rm -f $(distdir).zip
780         zip -rq $(distdir).zip $(distdir)
781         $(am__remove_distdir)
782
783 dist dist-all: distdir
784         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
785         $(am__remove_distdir)
786
787 # This target untars the dist file and tries a VPATH configuration.  Then
788 # it guarantees that the distribution is self-contained by making another
789 # tarfile.
790 distcheck: dist
791         case '$(DIST_ARCHIVES)' in \
792         *.tar.gz*) \
793           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
794         *.tar.bz2*) \
795           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
796         *.tar.lzma*) \
797           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
798         *.tar.xz*) \
799           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
800         *.tar.Z*) \
801           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
802         *.shar.gz*) \
803           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
804         *.zip*) \
805           unzip $(distdir).zip ;;\
806         esac
807         chmod -R a-w $(distdir); chmod a+w $(distdir)
808         mkdir $(distdir)/_build
809         mkdir $(distdir)/_inst
810         chmod a-w $(distdir)
811         test -d $(distdir)/_build || exit 0; \
812         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
813           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
814           && am__cwd=`pwd` \
815           && $(am__cd) $(distdir)/_build \
816           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
817             $(DISTCHECK_CONFIGURE_FLAGS) \
818           && $(MAKE) $(AM_MAKEFLAGS) \
819           && $(MAKE) $(AM_MAKEFLAGS) dvi \
820           && $(MAKE) $(AM_MAKEFLAGS) check \
821           && $(MAKE) $(AM_MAKEFLAGS) install \
822           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
823           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
824           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
825                 distuninstallcheck \
826           && chmod -R a-w "$$dc_install_base" \
827           && ({ \
828                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
829                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
830                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
831                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
832                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
833               } || { rm -rf "$$dc_destdir"; exit 1; }) \
834           && rm -rf "$$dc_destdir" \
835           && $(MAKE) $(AM_MAKEFLAGS) dist \
836           && rm -rf $(DIST_ARCHIVES) \
837           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
838           && cd "$$am__cwd" \
839           || exit 1
840         $(am__remove_distdir)
841         @(echo "$(distdir) archives ready for distribution: "; \
842           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
843           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
844 distuninstallcheck:
845         @$(am__cd) '$(distuninstallcheck_dir)' \
846         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
847            || { echo "ERROR: files left after uninstall:" ; \
848                 if test -n "$(DESTDIR)"; then \
849                   echo "  (check DESTDIR support)"; \
850                 fi ; \
851                 $(distuninstallcheck_listfiles) ; \
852                 exit 1; } >&2
853 distcleancheck: distclean
854         @if test '$(srcdir)' = . ; then \
855           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
856           exit 1 ; \
857         fi
858         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
859           || { echo "ERROR: files left in build directory after distclean:" ; \
860                $(distcleancheck_listfiles) ; \
861                exit 1; } >&2
862 check-am: all-am
863 check: check-recursive
864 all-am: Makefile $(LTLIBRARIES) all-multi $(HEADERS) config.h
865 installdirs: installdirs-recursive
866 installdirs-am:
867         for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(libsubincludedir)"; do \
868           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
869         done
870 install: install-recursive
871 install-exec: install-exec-recursive
872 install-data: install-data-recursive
873 uninstall: uninstall-recursive
874
875 install-am: all-am
876         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
877
878 installcheck: installcheck-recursive
879 install-strip:
880         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
881           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
882           `test -z '$(STRIP)' || \
883             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
884 mostlyclean-generic:
885
886 clean-generic:
887
888 distclean-generic:
889         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
890         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
891
892 maintainer-clean-generic:
893         @echo "This command is intended for maintainers to use"
894         @echo "it deletes files that may require special tools to rebuild."
895 clean: clean-multi clean-recursive
896
897 clean-am: clean-generic clean-libtool clean-toolexeclibLTLIBRARIES \
898         mostlyclean-am
899
900 distclean: distclean-multi distclean-recursive
901         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
902         -rm -rf ./$(DEPDIR)
903         -rm -f Makefile
904 distclean-am: clean-am distclean-compile distclean-generic \
905         distclean-hdr distclean-libtool distclean-tags
906
907 dvi: dvi-recursive
908
909 dvi-am:
910
911 html: html-recursive
912
913 html-am:
914
915 info: info-recursive
916
917 info-am:
918
919 install-data-am: install-nobase_libsubincludeHEADERS
920
921 install-dvi: install-dvi-recursive
922
923 install-dvi-am:
924
925 install-exec-am: install-multi install-toolexeclibLTLIBRARIES
926
927 install-html: install-html-recursive
928
929 install-html-am:
930
931 install-info: install-info-recursive
932
933 install-info-am:
934
935 install-man:
936
937 install-pdf: install-pdf-recursive
938
939 install-pdf-am:
940
941 install-ps: install-ps-recursive
942
943 install-ps-am:
944
945 installcheck-am:
946
947 maintainer-clean: maintainer-clean-multi maintainer-clean-recursive
948         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
949         -rm -rf $(top_srcdir)/autom4te.cache
950         -rm -rf ./$(DEPDIR)
951         -rm -f Makefile
952 maintainer-clean-am: distclean-am maintainer-clean-generic
953
954 mostlyclean: mostlyclean-multi mostlyclean-recursive
955
956 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
957         mostlyclean-libtool
958
959 pdf: pdf-recursive
960
961 pdf-am:
962
963 ps: ps-recursive
964
965 ps-am:
966
967 uninstall-am: uninstall-nobase_libsubincludeHEADERS \
968         uninstall-toolexeclibLTLIBRARIES
969
970 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all all-multi \
971         clean-multi ctags-recursive distclean-multi install-am \
972         install-multi install-strip maintainer-clean-multi \
973         mostlyclean-multi tags-recursive
974
975 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
976         all all-am all-multi am--refresh check check-am clean \
977         clean-generic clean-libtool clean-multi \
978         clean-toolexeclibLTLIBRARIES ctags ctags-recursive distclean \
979         distclean-compile distclean-generic distclean-hdr \
980         distclean-libtool distclean-multi distclean-tags dvi dvi-am \
981         html html-am info info-am install install-am install-data \
982         install-data-am install-dvi install-dvi-am install-exec \
983         install-exec-am install-html install-html-am install-info \
984         install-info-am install-man install-multi \
985         install-nobase_libsubincludeHEADERS install-pdf install-pdf-am \
986         install-ps install-ps-am install-strip \
987         install-toolexeclibLTLIBRARIES installcheck installcheck-am \
988         installdirs installdirs-am maintainer-clean \
989         maintainer-clean-generic maintainer-clean-multi mostlyclean \
990         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
991         mostlyclean-multi pdf pdf-am ps ps-am tags tags-recursive \
992         uninstall uninstall-am uninstall-nobase_libsubincludeHEADERS \
993         uninstall-toolexeclibLTLIBRARIES
994
995
996 # Tell versions [3.59,3.63) of GNU make to not export all variables.
997 # Otherwise a system limit (for SysV at least) may be exceeded.
998 .NOEXPORT: